[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.EditingDone

Signals the OnEditingDone event handler.

## Declaration

Source position: controls.pp line 1700

`public procedure TControl.EditingDone; virtual;`

## Description

Called when user has finished editing using the control. This procedure can be used by data links to commit the changes.

For example:

- When focus switches to another control (default).
- When user selected another item.

Each control class can determine which events cause the value(s) to be committed.